changeset 1639:59731f7c24ce

host - remove unused file password.nginx
author Franklin Schmidt <fschmidt@gmail.com>
date Tue, 21 Dec 2021 16:27:44 -0700
parents f53301a50084
children 570f3d483a31
files host/serve_dev.sh src/luan/host/run.luan
diffstat 2 files changed, 13 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/host/serve_dev.sh	Tue Dec 21 16:27:44 2021 -0700
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+. check_app.sh
+
+checkStopped;
+
+java -classpath $CLASSPATH luan.Luan run.luan console 2>&1 | tee err
--- a/src/luan/host/run.luan	Thu Dec 16 23:00:29 2021 -0600
+++ b/src/luan/host/run.luan	Tue Dec 21 16:27:44 2021 -0700
@@ -31,5 +31,9 @@
 local sites_dir = Io.schemes.file(Hosted.sites_dir)
 for _, site_dir in ipairs(sites_dir.children()) do
 	local name = site_dir.name()
+
+	-- temp cleanup
+	site_dir.child("password.nginx").delete()
+
 	WebHandler.loadHandler(name)
 end